# This file was generated by https://github.com/kamilchm/go2nix v2.0-dev
{ lib, buildGoPackage, zip, fetchFromGitHub }:
let
  webassets = fetchFromGitHub {
    owner = "gravitational";
    repo = "webassets";
    rev = "eb98cd28e34144c6473b79743066d1c63c6427ab";
    sha256 = "001a3bx8yyx1hq8y5yiy1jzp122q8gcl369lj0609gaxp6dk5bdw";
  };
in

buildGoPackage rec {
  pname = "teleport";
  version = "5.1.0";

  # This repo has a private submodule "e" which fetchgit cannot handle without failing.
  src = fetchFromGitHub {
    owner = "gravitational";
    repo = "teleport";
    rev = "v${version}";
    sha256 = "0jkr4max6mcn8k5nhlg71byb0yzr9kplpl1q96pdk2gbvkh7q6xb";
  };

  goPackagePath = "github.com/gravitational/teleport";

  subPackages = [ "tool/tctl" "tool/teleport" "tool/tsh" ];

  nativeBuildInputs = [ zip ];

  postBuild = ''
    pushd .
    cd $NIX_BUILD_TOP/go/src/github.com/gravitational/teleport
    mkdir -p build
    echo "making webassets"
    cp -r ${webassets}/* webassets/
    make build/webassets.zip
    cat build/webassets.zip >> $NIX_BUILD_TOP/go/bin/teleport
    rm -fr build/webassets.zip
    cd $NIX_BUILD_TOP/go/bin
    zip -q -A teleport
    popd
  '';

  dontStrip = true;

  meta = {
    description = "A SSH CA management suite";
    homepage = "https://gravitational.com/teleport/";
    license = lib.licenses.asl20;
    maintainers = with lib.maintainers; [ sigma tomberek ];
    platforms = lib.platforms.unix;
  };
}
